Il était une fois, un petit fichier mp3, gardé au fond d'un dossier, tout près d'un autre fichier plus gros, genre "vacances_2012.avi"

Forcément, puisque vous venez d'installer une CentOS, histoire d'essayer ce qui se raconte dans le petit livre du mgroup.fr, vous voudriez bien lire ces deux fichiers et leurs semblables, mais bizarrement, ça ne veut pas passer.. Corrigeons cela.


Lecture audio / vidéo avec Totem, le lecteur de gnome


Totem est le lecteur par défaut de gnome. Assez classique d'ailleurs, avec une partie vidéo à gauche et une playlist (amovible) sur la gauche.

capture_totem

Pas vraiment de quoi fouetter un chat, mais suffisant pour une utilisation standard et bien intégré au bureau (gestion volume, etc..)


Passons aux codecs et autres greffons qui vont bien, pour les lignes à venir, quelle que soit votre version, il vous faut installer les dépôts Rpmforge.

Téléchargez et installez ce dépôt, en fonction de votre système et de sa version :

Pour CentOS 5.x 32 bits: http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el5.rf.i386.rpm

Pour CentOS 5.x 64 bits: http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el5.rf.x86_64.rpm

Pour CentOS 6.x 32 bits: http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el6.rf.i686.rpm

Pour CentOS 6.x 64 bits: http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm

Attention ! Si vous avez d'autres dépôts installés, jetez un oeil à la page dédiée sur notre site

Puis pour tous, les paquets adéquats (en root):

# yum install libdvdread libdvdnav lsdvd mplayer mplayer-gui compat-libstdc++-33 gstreamer-plugins-bad gstreamer-plugins-ugly gstreamer-ffmpeg libquicktime



Enfin, les codecs additionnels (pour xvid, mp4 & compagnie), téléchargeables directement sur mgroup.fr (installez les deux):

# rpm -ivh  http://www.mgroup.fr/public/downloads/rpm/mplayer-codecs.i386.rpm


# rpm -ivh  http://www.mgroup.fr/public/downloads/rpm/mplayer-codecs-extra.i386.rpm




Voila qui est fait pour les audios et les formats vidéo les plus utilisés. Il est toujours plus agréable d'arpenter le chemin en musique..

capture_totem2




Lecture audio / vidéo avec vlc


On ne présente plus le lecteur multi-plateformes Vlc.
Sur ce coup, CentOS et les autres distribs basées sur RedHat ont un peu de retard niveau version, mais ça fonctionne quand même.

Comme précédemment, RpmForge est nécessaire, attention aux conflits si vous avez les dépôts "Epel" installés en parallèle. Jetez un œil à notre sujet dédié aux dépôts tiers. si nécessaire.

Pour installer Vlc via Rpmforge (toutes versions), rien de sorcier (en root):

# yum install vlc



Si vous rencontrez un conflit de dépendances, vérifiez vos dépôts et suivez le tuto dédié à ces derniers sur notre site.

A défaut, essayez la ligne suivante pour vous limiter à Base et Rpmforge:

# yum --disablerepo=*  --enablerepo=Base,rpmforge  install  vlc


Mais n'oubliez pas de configurer vos dépôts dès que possible.


Pour vlc, une fois installé, ne vous reste plus qu'à l'essayer:

capture_vlc




Un mot sur le décodage GPU avec vlc



Pour utiliser le processeur de votre carte graphique (GPU) plutôt que votre CPU, si votre matériel graphique le permet, il vous faut les éléments suivants:

  • INTEL

GMA 4500 (liés aux Core 2 Duo et Quad)
GMA 500 que l'on retrouve dans certaines machines Atom mais difficilement exploitable sous Linux (mis à part une 10.04 Ubuntu avec les ppa dédiés)
GMA HD intégré dans les processeurs de la famille Core ix.
Les puces précédentes (GMA 950, GMA 3150 et GMA X3100) n'ont pas de fonctions d'accélération.

  • NVIDIA

Il vous faut un GPU qui supporte la seconde génération de "PureVideo", plus précisément "vdpau" (Video Decode and Presentation API for Unix). A partir de VP2 mais un vp3 ou un vp4 sont vivement conseillés), soit une Geforce 8 ou supérieure selon le modèle.
Vérifiez votre carte à partir de cette page Wikipédia

  • AMD/ATI

Pré requis impératif, les pilotes Catalyst 10.7 ou plus récents et le support par le GPU de "Unified Video Decoder"
Il faut préciser côté hardware, à minima une HD4xxx


Votre matériel est compatible ?
ok, activez le décodage GPU via les préférences de vlc (préférences/"sous menu codecs", case "GPU accélération" à cocher ) comme sur le screenshot ci-dessous

capture_vlc-gpu


Vous pouvez commenter ou participer à l'amélioration de cet article via le topic dédié du forum.